> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/knowledge-graph/input-types/relation-type-order.md).

# RelationTypeOrder

No description

```graphql
input RelationTypeOrder {
  corole: SortOrder
  createdBy: [UserOrder]
  createdOn: SortOrder
  description: SortOrder
  id: SortOrder
  modifiedBy: [UserOrder]
  modifiedOn: SortOrder
  publicId: SortOrder
  role: SortOrder
  source: [TypeOrder]
  system: SortOrder
  target: [AssetTypeOrder]
}
```

### Fields

#### corole ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#corole" id="corole"></a>

The label of this relation type, when followed from tail to head.

#### createdBy ● [`[UserOrder]`](/api/graphql/knowledge-graph/input-types/user-order.md) list input <a href="#created-by" id="created-by"></a>

The user who created this resource.

#### createdOn ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#created-on" id="created-on"></a>

The creation date of this resource.

#### description ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#description" id="description"></a>

The description of this relation type.

#### id ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#id" id="id"></a>

The universally unique identifier of this node.

#### modifiedBy ● [`[UserOrder]`](/api/graphql/knowledge-graph/input-types/user-order.md) list input <a href="#modified-by" id="modified-by"></a>

The user who last modified this resource.

#### modifiedOn ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#modified-on" id="modified-on"></a>

The last modified date of this resource.

#### publicId ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#public-id" id="public-id"></a>

The public identifier of this relation type.

#### role ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#role" id="role"></a>

The label of this relation type when followed from head to tail.

#### source ● [`[TypeOrder]`](/api/graphql/knowledge-graph/input-types/type-order.md) list input <a href="#source" id="source"></a>

The asset type that is the head of this relation type.

#### system ● [`SortOrder`](/api/graphql/knowledge-graph/enumerations/sort-order.md) enum <a href="#system" id="system"></a>

Whether this resource is reserved by the system.

#### target ● [`[AssetTypeOrder]`](/api/graphql/knowledge-graph/input-types/asset-type-order.md) list input <a href="#target" id="target"></a>

The asset type that is the tail of the relation type.

### Member Of

[`RelationOrder`](/api/graphql/knowledge-graph/input-types/relation-order.md) input


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/knowledge-graph/input-types/relation-type-order.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
